- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Typedefs | Functions
Ethumb Basics
Ethumb

Functions that all users must know of to use Ethumb. More...

## Typedefs
typedef struct _Ethumb | Ethumb
| thumbnailer handle. More...
typedef void(* | Ethumb_Generate_Cb )(void *data, Ethumb *e, Eina_Bool success)
| reports results of ethumb_generate(). More...

## Functions
EAPI int | ethumb_init (void)
EAPI int | ethumb_shutdown (void)
EAPI Ethumb * | ethumb_new (void)
EAPI void | ethumb_free (Ethumb *e)
EAPI Eina_Bool | ethumb_file_set (Ethumb *e, const char *path, const char *key)
EAPI void | ethumb_file_get (const Ethumb *e, const char **path, const char **key)
EAPI void | ethumb_file_free (Ethumb *e)
EAPI Eina_Bool | ethumb_generate (Ethumb *e, Ethumb_Generate_Cb finished_cb, const void *data, Eina_Free_Cb free_data)
EAPI Eina_Bool | ethumb_exists (Ethumb *e)
EAPI Ethumb * | ethumb_dup (const Ethumb *e)
EAPI Eina_Bool | ethumb_cmp (const Ethumb *e1, const Ethumb *e2)
EAPI int | ethumb_hash (const void *key, int key_length)
EAPI int | ethumb_key_cmp (const void *key1, int key1_length, const void *key2, int key2_length)
EAPI unsigned int | ethumb_length (const void *key)

## Detailed Description

Functions that all users must know of to use Ethumb.

## Typedef Documentation

typedef struct _Ethumb Ethumb

thumbnailer handle.

The handle is returned by ethumb_new() and destroyed by ethumb_free().

typedef void(* Ethumb_Generate_Cb)(void *data, Ethumb *e, Eina_Bool success)

reports results of ethumb_generate().

Parameters

  data | extra context given to ethumb_generate().
  e | handle of the current thumbnailer.
  success | `EINA_TRUE` if generated or `EINA_FALSE` on errors.